@keyframes spinf {
    from {
      transform: rotate(0deg);
    }
    to {
      transform: rotate(360deg);
    }
  }

@keyframes spinb {
    from {
      transform: rotate(360deg);
    }
    to {
      transform: rotate(0deg);
    }
  }

body {
  background-color: #c0f751;
  font-family: "Indie Flower", cursive;
  display: flex;
  flex-direction: column;
  padding: 50px;
  align-items: center;
}

.duggelEverywhere {
  position: absolute;
  width: 50px;
  height: 50px;
  border: none;
}

.duggel1 {
    right: 200px;
    top: 500px;
    animation: spinf 2s linear infinite;
}

.duggel2 {
    right: 300px;
    top: 350px;
    animation: spinb 2s linear infinite;
}

.duggel3 {
    left: 280px;
    top: 350px;
    animation: spinf 2s linear infinite;
}

.duggel4 {
    left: 250px;
    top: 600px;
    animation: spinb 2s linear infinite;
}

.duggel5 {
    left: 280px;
    top: 800px;
    animation: spinb 2s linear infinite;
}

.duggel6 {
    left: 250px;
    top: 900px;
    animation: spinf 2s linear infinite;
}

.duggel7 {
    right: 200px;
    top: 800px;
    animation: spinf 2s linear infinite;
}

.duggel8 {
    right: 300px;
    top: 900px;
    animation: spinb 2s linear infinite;
}

.duggel9 {
    left: 300px;
    top: 1200px;
    animation: spinf 2s linear infinite;
}

.storyOf {
  position: absolute;
  padding: 0;
  margin: 0;
}

h1 {
  font-size: 50px;
  padding: 0;
  margin: 0;
}

.duggel {
  display: flex;
  align-items: center;
  margin-top: 50px;
  gap: 50px;
  width: 600px;
}

img {
  width: 200px;
  height: 200px;
  border-radius: 100%;
  object-fit: cover;
  border: 2px solid rgb(0, 136, 36);
}

.songtext {
  background-color: rgb(255, 255, 255);
  padding: 10px;
  text-decoration: underline;
  border: 1px solid black;
  border-radius: 5px;
}

.schlafen {
  flex-direction: column;
}

.duggelSchlafenText {
  font-size: 30px;
  margin: 0;
  padding: 0;
}

.duggelSchlafenBild {
  width: 300px;
  height: 300px;
}

@media (max-width: 768px) {
  body {
    padding: 20px;
  }

  .duggel {
    flex-direction: column;
    width: 100%;
    gap: 20px;
  }

  img {
    width: 180px;
    height: 180px;
  }

  h1 {
    font-size: 40px;
    text-align: center;
  }

  .songtext {
    font-size: 14px;
    padding: 5px;
  }

  .duggelSchlafenBild {
    width: 180px;
    height: 180px;
  }

  .duggelEverywhere {
    width: 30px;
    height: 30px;
  }
}

@media (max-width: 480px) {
  body {
    padding: 10px;
  }


  img {
    width: 180px;
    height: 180px;
  }

  h1 {
    font-size: 30px;
  }

  .songtext {
    font-size: 12px;
  }

  .duggelSchlafenText {
    font-size: 20px;
  }

  .duggelSchlafenBild {
    width: 180px;
    height: 180px;
  }
}